var a;
(a = getApp()),
  Page({
    data: { serviceSumCount: 0, serviceSumMoney: 0 },
    onLoad: function (a) {
      this.getDetail(a.orderid);
    },
    getDetail: function (t) {
      var e = this,
        n = { orderid: t };
      a.getdata(n, "carnjid").then((a) => {
        if ((console.log("回调数据：", a), a)) {
          e.setData({ cardata: a.data, orderid: t });
          var n = JSON.parse(a.data.record);
          console.log(n), e.setData({ records: n.result.data.detail });
        }
      });
    },
    onReady: function () {},
    onShow: function () {},
    onHide: function () {},
    onUnload: function () {},
    onPullDownRefresh: function () {},
    onReachBottom: function () {},
    onShareAppMessage: function () {
      return {
        title: this.data.cardata.car + "汽车年检报告",
        path: "/packageA/pages/carnj/carcxjl?orderid=" + this.data.orderid,
      };
    },
    onShareTimeline: function () {
      return {
        title: this.data.cardata.car + "汽车年检报告",
        path: "/packageA/pages/carnj/carcxjl?orderid=" + this.data.orderid,
      };
    },
  });
